Skip to main content

account federation-policy command group

note

This information applies to Databricks CLI versions 0.205 and above. The Databricks CLI is in Public Preview.

Databricks CLI use is subject to the Databricks License and Databricks Privacy Notice, including any Usage Data provisions.

The account federation-policy command group within the Databricks CLI contains commands to manage account federation policies. Account federation policies allow users and service principals in your Databricks account to securely access Databricks APIs using tokens from your trusted identity providers (IdPs). See Configure a federation policy.

databricks account federation-policy create

Create an account federation policy.

databricks account federation-policy create [flags]

Options

--policy-id string

    The identifier for the federation policy.

--description string

    Description of the federation policy.

--json JSON

    The inline JSON string or the @path to the JSON file with the request body

Global flags

Examples

The following example creates a federation policy using JSON:

Bash
databricks account federation-policy create --json '{"policy_id": "my-federation-policy", "issuer": "https://idp.mycompany.com/oidc", "audiences": ["databricks"], "subject_claim": "sub"}'

The following example creates a federation policy using a JSON file:

Bash
databricks account federation-policy create --json @federation-policy.json

The following example creates a federation policy with command-line flags:

Bash
databricks account federation-policy create --policy-id "my-federation-policy" --description "Federation policy for MyCompany IdP" --json @federation-policy.json

databricks account federation-policy delete

Delete an account federation policy.

databricks account federation-policy delete POLICY_ID [flags]

Arguments

POLICY_ID

    The identifier for the federation policy.

Options

Global flags

Examples

The following example deletes a federation policy by ID:

Bash
databricks account federation-policy delete my-federation-policy

databricks account federation-policy get

Get an account federation policy.

databricks account federation-policy get POLICY_ID [flags]

Arguments

POLICY_ID

    The identifier for the federation policy.

Options

Global flags

Examples

The following example gets a federation policy by ID:

Bash
databricks account federation-policy get my-federation-policy

databricks account federation-policy list

List all account federation policies.

databricks account federation-policy list [flags]

Options

--page-size int

    Number of results to return per page.

--page-token string

    Token to retrieve the next page of results.

Global flags

Examples

The following example lists all federation policies:

Bash
databricks account federation-policy list

The following example lists federation policies with pagination:

Bash
databricks account federation-policy list --page-size 10

The following example lists the next page of federation policies:

Bash
databricks account federation-policy list --page-token "next_page_token"

databricks account federation-policy update

Update an account federation policy.

databricks account federation-policy update POLICY_ID [flags]

Arguments

POLICY_ID

    The identifier for the federation policy.

Options

--description string

    Description of the federation policy.

--update-mask string

    The field mask specifies which fields of the policy to update.

--json JSON

    The inline JSON string or the @path to the JSON file with the request body

Global flags

Examples

The following example updates a federation policy description:

Bash
databricks account federation-policy update my-federation-policy --description "Updated federation policy"

The following example updates a federation policy using JSON:

Bash
databricks account federation-policy update my-federation-policy --json '{"issuer": "https://idp.mycompany.com/oidc", "audiences": ["databricks", "databricks-api"]}'

The following example updates a federation policy using a JSON file:

Bash
databricks account federation-policy update my-federation-policy --json @update-federation-policy.json

The following example updates specific fields using an update mask:

Bash
databricks account federation-policy update my-federation-policy --update-mask "audiences,subject_claim" --json @update-federation-policy.json

Global flags

--debug

  Whether to enable debug logging.

-h or --help

    Display help for the Databricks CLI or the related command group or the related command.

--log-file string

    A string representing the file to write output logs to. If this flag is not specified then the default is to write output logs to stderr.

--log-format format

    The log format type, text or json. The default value is text.

--log-level string

    A string representing the log format level. If not specified then the log format level is disabled.

-o, --output type

    The command output type, text or json. The default value is text.

-p, --profile string

    The name of the profile in the ~/.databrickscfg file to use to run the command. If this flag is not specified then if it exists, the profile named DEFAULT is used.

--progress-format format

    The format to display progress logs: default, append, inplace, or json

-t, --target string

    If applicable, the bundle target to use